Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.compare
Class CompareViewerPane

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.custom.ViewForm
                          org.eclipse.compare.CompareViewerPane

All Implemented Interfaces:
  Drawable

Direct Known Subclasses:
  CompareViewerSwitchingPane

public class CompareViewerPane
extends ViewForm

A `CompareViewerPane` is a convenience class which installs a `CLabel` and a `Toolbar` in a `ViewForm`.

Double clicking onto the `CompareViewerPane`'s title bar maximizes the `CompareViewerPane` to the size of an enclosing `Splitter` (if there is one). If more `Splitters` are nested maximizing walks up and maximizes to the outermost `Splitter`.

Since:
  2.0

Field Summary

Fields inherited from class org.eclipse.swt.custom.ViewForm
`borderInsideRGB, borderMiddleRGB, borderOutsideRGB, horizontalSpacing, marginHeight, marginWidth, verticalSpacing`

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`CompareViewerPane(Composite container, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Method Summary
`static void` | `clearToolBar(Composite parent)` Clears tool items in the `CompareViewerPane`'s control bar.
`static ToolBarManager` | `getToolBarManager(Composite parent)` Returns a `ToolBarManager` if the given parent is a `CompareViewerPane` or `null` otherwise.
`void` | `setImage(Image image)` Set the pane's title Image.
`void` | `setText(String label)` Set the pane's title text.

Methods inherited from class org.eclipse.swt.custom.ViewForm
`computeSize, computeTrim, getClientArea, getContent, getTopCenter, getTopLeft, getTopRight, layout, setBorderVisible, setContent, setFont, setLayout, setTopCenter, setTopCenterSeparate, setTopLeft, setTopRight`

Methods inherited from class org.eclipse.swt.widgets.Composite
`checkSubclass, getChildren, getLayout, getTabList, layout, setFocus, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBounds, setBounds, setCapture, setCursor, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompareViewerPane

    public CompareViewerPane(Composite container,
                             int style)

  Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Parameters:
  `container` - a widget which will be the container of the new instance (cannot be null)
  `style` - the style of widget to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent

Method Detail

### setText

    public void setText(String label)

  Set the pane's title text. The value `null` clears it.

  Parameters:
    `label` - the text to be displayed in the pane or null

### setImage

    public void setImage(Image image)

  Set the pane's title Image. The value `null` clears it.

  Parameters:
    `image` - the image to be displayed in the pane or null

### getToolBarManager

    public static ToolBarManager getToolBarManager(Composite parent)

  Returns a `ToolBarManager` if the given parent is a `CompareViewerPane` or `null` otherwise.

  Parameters:
    `parent` - a `Composite` or `null`
  Returns:
    a `ToolBarManager` if the given parent is a `CompareViewerPane` otherwise `null`

### clearToolBar

    public static void clearToolBar(Composite parent)

  Clears tool items in the `CompareViewerPane`'s control bar.

  Parameters:
    `parent` - a `Composite` or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.